Bug 222524 - Services window deletes DB driver even if the No button is pressed.
Services window deletes DB driver even if the No button is pressed.
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: DB schema
7.3
PC Linux
: P2 (vote)
: 7.3
Assigned To: Jaroslav Havlin
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 09:48 UTC by paolosca
Modified: 2013-01-11 13:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description paolosca 2012-11-21 09:48:26 UTC
I was doing the NetCAT 7.3 Sanity Test for Oracle DB and I noticed that, in the Services window, when I right click on a DB driver (in my case Oracle Thin) and I select Delete, the driver is deleted even if I answer "No" in the "Confirm object deletion" window.


Product Version: NetBeans IDE Dev (Build 201211190002)
Java: 1.7.0_03; OpenJDK Client VM 22.0-b10
Runtime: OpenJDK Runtime Environment 1.7.0_03-b21
System: Linux version 3.2.0-4-686-pae running on i386; UTF-8; en_US (nb)
User directory: /home/paolo/.netbeans/dev
Cache directory: /home/paolo/.cache/netbeans/dev
Comment 1 Jaroslav Havlin 2012-11-21 12:44:35 UTC
http://hg.netbeans.org/core-main/rev/8be5541c52eb
Fixed. Thank you for reporting.
Comment 2 paolosca 2012-11-22 15:27:02 UTC
That was really fast, Thanks!
Comment 3 Quality Engineering 2012-11-23 02:41:16 UTC
Integrated into 'main-golden', will be available in build *201211230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8be5541c52eb
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #222524: Services window deletes DB driver even if the No button is pressed
Comment 4 Tomas Danek 2013-01-11 13:17:51 UTC
driver is deleted immediately now, verified.
Product Version: NetBeans IDE 7.3 RC1 (Build 201301102100)
Java: 1.7.0_10; Java HotSpot(TM) 64-Bit Server VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_10-b18
System: Mac OS X version 10.8.2 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/7.3rc1
Cache directory: /Users/tomas/Library/Caches/NetBeans/7.3rc1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo